parameters:
#    rawafed_comments.example.class: Rawafed\CommentsBundle\Example

services:
    comments.events:
        class: Rawafed\CommentsBundle\EventListener\CommentSubscriber
        arguments: ["@service_container"]
        tags:
            - { name: doctrine.event_subscriber, connection: default }
            
    comments.social_publisher:
        class: Rawafed\CommentsBundle\EventListener\SocialPublisherSubscriber
        arguments: ["@service_container"]
        tags:
            - { name: doctrine.event_subscriber, connection: default }

    comments.comments_service:
        class: Rawafed\CommentsBundle\Services\CommentsService
        arguments: ["@service_container"]

    comments.emotions_service:
        class: Rawafed\CommentsBundle\Services\EmotionsService
        arguments: ["@service_container"]